<?php

namespace Modules\Invoices\SupplierInvoices;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{

	/**
	 *
	 * @var array
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 *
	 * {@inheritDoc}
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('invoiceNumber')
					->setSortable("ASC")
			)
			->append(
				ListingColumn::create('invoiceDate')
					->setSortable("ASC")->setType('date')
			)
			->append(
				ListingColumn::create('idSupplier')
			)
			->append(
				ListingColumn::create('totalValue')
			)
			->append(
				ListingColumn::create('dueDate')
					->setSortable("ASC")->setType('date')
			)
			->append(
				ListingColumn::create('statusOp')
			)
			->append(
				ListingColumn::create('idUser')
					->setType('userLabel')
			)
			->append(
				ListingColumn::create('addTime')
					->setType('datetime')->setSortable("DESC")
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}



}
